Create an agent environment
client.beta.agents.environments.create(EnvironmentCreateParams { environment, vault_ids, idempotencyKey } params , RequestOptionsoptions ?): EnvironmentInfo { id, files, object, 4 more }
POST
/agents/environmentsCreates an OpenAI-hosted environment before creating a session. Requires access to the prewarming beta.
Create an agent environment
import OpenAI from 'openai';
const client = new OpenAI({
apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});
const environmentInfo = await client.beta.agents.environments.create({
environment: { type: 'openai_hosted' },
});
console.log(environmentInfo.id);201 — Example
{
"id": "id",
"files": [
{
"id": "id",
"file_id": "file_id",
"path": "path",
"size_bytes": 0,
"type": "file_id"
}
],
"object": "agent.environment",
"plugins": [
{
"description": "description",
"name": "name",
"type": "inline"
}
],
"skills": [
{
"description": "description",
"name": "name",
"skill_id": "skill_id",
"type": "skill_reference",
"version": "version"
}
],
"status": "pending",
"type": "openai_hosted"
}Returns Examples
201 — Example
{
"id": "id",
"files": [
{
"id": "id",
"file_id": "file_id",
"path": "path",
"size_bytes": 0,
"type": "file_id"
}
],
"object": "agent.environment",
"plugins": [
{
"description": "description",
"name": "name",
"type": "inline"
}
],
"skills": [
{
"description": "description",
"name": "name",
"skill_id": "skill_id",
"type": "skill_reference",
"version": "version"
}
],
"status": "pending",
"type": "openai_hosted"
}